body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    /* display: flex; */
    justify-content: center;
    align-items: center;
    /* height: 100vh; */
    /*background-color: #f4f4f4;*/
    background-color:#5a83dc40;
}

.form-container {
    width: 100%;
    max-width: 20%; /* Ensures the form is not too wide on larger screens */
    background-color: #fff;
    padding: 20px;
    margin: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    margin-top: 5rem!important;
    margin: 0px auto;
    align-items: center;
}

.form-container1 {
    width: 100%;
    max-width: 5%; /* Ensures the form is not too wide on larger screens */
    background-color: #fff;
    padding: 20px;
    margin: 10px;
    border-radius: 8px;
    /* box-shadow: 0 4px 6px rgba(0,0,0,0.1); */
    box-shadow: 0px 0px 0px 3px #5c86e0;
    margin-top: 5rem!important;
    margin: 0px auto;
    align-items: center;
}

.label-error-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.form-group {
    margin-bottom: 20px;
}

input[type="text"], input[type="tel"] {
    width: 97.5%;
    padding: 8px;
    margin-top: 4px;
    border: 1px solid #ccc;
    border-radius: 4px;
    text-transform: uppercase;
}

input
{
    text-transform: uppercase;
}

.error-message-gst, .error-message-phone {
    margin-left: 10px;
    white-space: nowrap; /* Prevents the error message from wrapping */
    display: none; /* Ensure this is initially hidden */
}

button {
    /* background-color: #007bff; */
    background-color: #28a745;
    color: #fff;
    border: none;
    padding: 10px;
    border-radius: 4px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

#downloadPdf {
    display: none; /* Hide the button by default */
}

#branchFilter
{
    padding: 5px 10px;
    margin-bottom: 1rem;
}

@media (max-width: 768px) 
{
    /* body 
    {
        display: flex;
        height: 100vh;
    } */

    .form-container {
        margin: 10px;
        padding: 15px;
        width: 88%;
        max-width: 100%;
    }
    
    button {
        padding: 10px;
    }

    .form-container
    {
        margin-top: 20%!important;
    }
}

.crbutton
{
    margin-left: 35%;
    border: 1px solid;
    padding: 10px;
    border-radius: 4px;
    cursor: pointer;
    color: #000;
    /* background-color: #28a745; */
    background-color: #007bff;
    color: #fff!important;
    top: -25px;
    position: relative;
}

.crbutton:hover
{
    background-color: #218838;
    color: #fff!important;
}

.crbutton a
{
    text-decoration: none;
    color: #fff;
}

.datatable
{
    margin-top: 3rem!important;
    text-align: center;
}

.datatable h3
{
    color: darkred;
}

.datatable table
{
    width: 80%;
    margin: 0px auto;
    border-collapse: collapse;
    background: #fff;
    box-shadow: 1px 11px 20px 4px lightslategray;
    margin-bottom: 2rem;
}

.datatable table th
{
    background: #5a83dc;
    color: #ffff;
}

.datatable table th, td
{
    padding: 15px;
    border: 1px solid #000;
}

#downloadExcel
{
    margin: 0px auto;
    display: block;
    /* margin-top: 2rem; */
    margin-bottom: 4rem;
}

#payTotalBtn
{
    margin: 0px auto;
    display: block;
    margin-top: 5rem;
    margin-bottom: 4rem;
}

.paybuttontop
{
    margin-top: 0rem!important;
    margin-bottom: 3rem!important;
}

.cm
{
    margin-bottom: 2rem;
}

.footer
{
    text-align: center;
    /* margin-top: 4rem; */
    margin-bottom: 4rem;
}

.footer ul
{
    padding-inline-start: 0px;
}

.footer ul li
{
    list-style: none;
    margin-bottom: 1%;
}

.footer ul li a
{
    text-decoration: none;
    color: #000;
    font-size: 20px;
    font-weight: 700;
}

.footer ul li a:hover
{
    text-decoration: underline;
    color: #800c0c;
}

.termscol
{
    width: 100%;
    max-width: 60%;
    align-items: center;
    margin: 0px auto;
    text-align: left;
    margin-top: 5rem;
    margin-bottom: 5rem;
}

.headerlogo
{
    width: 100%;
}

@media only screen
and (min-width:0)
and (max-width:576px){
    .crbutton
    {
        margin-left: 40%;
        top: -25px;
        position: relative;
    }

    .termscol
    {
        max-width: 90%;
    }
}

@media only screen
and (min-width:577px)
and (max-width:768px){
    .crbutton
    {
        margin-left: 50%;
        top: -25px;
        position: relative;
    }

    button
    {
        padding: 10px;
    }
}

@media only screen
and (min-width:768px)
and (max-width:1200px)
{
    .form-container
    {
        width: 95%;
        max-width: 60%;
        margin: 0px auto;
    }

    /* body 
    {
        display: flex;
        height: 100vh;
    } */

    .form-container
    {
        margin-top: 20%!important;
    }

    .crbutton
    {
        margin-left: 50%;
        top: -25px;
        position: relative;
    }
}

@media only screen
and (min-width:1201px)
and (max-width:1800px){
    .crbutton
    {
        margin-left: 40%;
        top: -22px;
        position: relative;
        padding: 5px;
        font-size: 13px;
    }

    button
    {
        padding: 5px;
    }
}

/* @media only screen
and (min-width:1201px)
and (max-width:1550px){
    .crbutton
    {
        margin-left: 40%;
        top: -22px;
        position: relative;
        padding: 5px;
        font-size: 13px;
    }

    button
    {
        padding: 5px;
    }
} */

@media only screen
and (min-width:1800px)
and (max-width:2000px){
    .crbutton
    {
        margin-left: 45%;
        padding: 10px;
        position: relative;
        top: -25px;
    }

    button
    {
        padding: 10px;
        /* margin-bottom: 3rem; */
    }
}


/* POPPUP CODE START */

/* style.css */

/* General styling for the popup */
.popup {
    display: none; /* Initially hidden; display it based on your logic */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    max-width: 400px;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 20px;
    z-index: 1000; /* Ensure it's above other content */
}

/* Close button styles */
.closeBtn {
    float: right;
    font-size: 24px;
    cursor: pointer;
}

.popup-content {
    margin-top: 20px;
}

/* Style for form inputs and labels */
.popup-content label {
    display: block;
    margin-top: 10px;
    font-weight: bold;
    color: #333;
}

.popup-content input[type="text"],
.popup-content input[type="tel"],
.popup-content input[type="number"] {
    width: 100%;
    padding: 8px;
    margin-top: 5px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box; /* Ensures padding doesn't affect the total width */
}

/* Style for the submit button */
.popup-content button[type="submit"] {
    width: 100%;
    background-color: #007bff;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

.popup-content button[type="submit"]:hover {
    background-color: #0056b3;
}

/* Overlay styling */
.overlay {
    display: none; /* Initially hidden */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.63); /* Light black background */
    z-index: 999; /* Ensure it's below the popup but above other content */
}

/* POPPUP CODE END */

#resendOtpBtn
{
    display: table-column-group;
    /* margin-top: 1rem; */
    float: right;
}

#otpTimer
{
    display: inline-table;
    margin-bottom: 1rem;
    margin-top: 1rem;
}